html {
  box-sizing: border-box;
  font-family: $font-global;
  font-size: 62.5%;
  overflow-x: hidden;
  
  &.no-scroll {
    overflow: hidden;
  }
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: 0;

  &,
  &::before,
  &::after {
    box-sizing: inherit;
  }
}

body {
  position: relative;
  margin: 0;
  font-size: 1.4rem;
  margin: 0;
  padding: 0;
  font-family: $font-global;
  overflow-x: hidden;
  background-color: $white;

  &.no-scroll {
    overflow: hidden;
  }
}

// TITLES

h1,
.h1-like {
  font-family: $font-light, sans-serif;
  font-weight: 300;
  font-size: 4.8rem;
  line-height: 6.5rem;
  letter-spacing: -0.2rem;
  
  @include md {
    font-size: 8.8rem;
    line-height: 11rem;
    letter-spacing: -0.3rem;
  }
}

h2,
.h2-like {
  font-family: $font-light, sans-serif;
  font-weight: 300;
  font-size: 2.4rem;
  line-height: 3.2rem;
  letter-spacing: -0.1rem;

  @include sm {
    font-size: 3.8rem;
    line-height: 5.5rem;
    letter-spacing: -0.2rem;
  }

  @include md {
    font-size: 4.8rem;
    line-height: 6.5rem;
    letter-spacing: -0.2rem;
  }

  .aki__word {
    overflow: hidden;
  }
}

h3,
.h3-like {
  padding-bottom: 1rem;
  color: $blue;
  font-family: $font-light, sans-serif;
  font-weight: 300;
  font-size: 1.8rem;
  line-height: 2.4rem;
  letter-spacing: -0.1rem;

  @include sm {
    font-size: 2.2rem;
    line-height: 2.8rem;
  }

  @include md {
    padding-bottom: 2rem;
    font-size: 3.2rem;
    line-height: 4.3rem;
  }
}

.c-title-section {
  display: block;
  width: 100%;
  padding: 1.5rem;
  background-color: rgba($blue, 0.1);
  color: $blue;
  text-align: center;
  text-transform: uppercase;
  font-family: $font-global;
  font-weight: 400;
  font-size: 1.4rem;
  line-height: 1.9rem;
}

a {
  color: $blue;
  text-decoration: underline;
  cursor: pointer;

  &:hover {
    color: darken($blue, 5%);
    text-decoration: none;
  }
}

p {
  padding: 0;
  margin: 0;
  font-size: 1.4rem;
}

ul {
  padding: 0;

  li {
    position: relative;
    list-style: none;
    padding: 0.5rem 0rem 0.5rem 3rem;

    &::before {
      position: absolute;
      top: 1.3rem;
      left: 0;
      content: "";
      display: block;
      background: $gradient;
      width: 2rem;
      height: 0.3rem;
      border-radius: 3rem;
    }
  }
}

.bg-grey-light {
  background-color: $grey-light;
}

.editor-block {
  font-family: $font-global, sans-serif;

  h1 {
    font-family: $font-light, sans-serif;
    font-weight: 300;
    font-size: 4.8rem;
    line-height: 6.5rem;
    letter-spacing: -0.2rem;
    color: $blue;
    
    @include md {
      font-size: 8.8rem;
      line-height: 11rem;
      letter-spacing: -0.3rem;
    }
  }

  h2 {
    font-family: $font-light, sans-serif;
    font-weight: 300;
    font-size: 2.4rem;
    line-height: 3.2rem;
    letter-spacing: -0.1rem;
    color: $blue;

    @include sm {
      font-size: 3.8rem;
      line-height: 5.5rem;
      letter-spacing: -0.2rem;
    }

    @include md {
      font-size: 4.8rem;
      line-height: 6.5rem;
      letter-spacing: -0.2rem;
    }
  }

  h3 {
    padding-bottom: 1rem;
    color: $blue;
    font-family: $font-light, sans-serif;
    font-weight: 300;
    font-size: 1.8rem;
    line-height: 2.4rem;
    letter-spacing: -0.1rem;

    @include sm {
      font-size: 2.2rem;
      line-height: 2.8rem;
    }

    @include md {
      padding-bottom: 2rem;
      font-size: 3.2rem;
      line-height: 4.3rem;
    }
  }

  h4 {
    color: $blue;
    font-size: 1.4rem;
    font-weight: 400;
    line-height: 2.4rem;
    text-transform: uppercase;

    @include md {
      margin: 1rem 0;
      font-size: 1.6rem;
      line-height: 2.4rem;
    }
  }

  p {
    margin-bottom: 2rem;
  }

  strong {
    font-weight: 800;
  }

  ul {
    padding: 0;
  
    li {
      position: relative;
      list-style: none;
      padding: 0.5rem 0rem 0.5rem 3rem;
  
      &::before {
        position: absolute;
        top: 1.3rem;
        left: 0;
        content: "";
        display: block;
        background: $gradient;
        width: 2rem;
        height: 0.3rem;
        border-radius: 3rem;
      }
    }
  }

  ol {
    li {
      position: relative;
      padding: 0.5rem 0rem 0.5rem 1rem;

      &::marker {
        font-weight: 800;
        color: $blue;
      }
    }
  }

  img {
    width: auto;
    height: auto;
    max-width: 100%;
    margin: 2rem 0;
  }

  hr {
    background-color: $blue;
    border: 0.1rem solid $blue;
  }
}